Bug 806646 - (perl-Data-Pond) Review Request: perl-Data-Pond - Perl-based open notation for data
Review Request: perl-Data-Pond - Perl-based open notation for data
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Data-Pond/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 13:32 EDT by Iain Arnell
Modified: 2012-04-11 21:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Data-Pond-0.004-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 23:52:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-03-25 13:32:08 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Data-Pond.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Data-Pond-0.004-1.fc18.src.rpm

Description:
This module is concerned with representing data structures in a textual
notation known as "Pond" (Perl-based open notation for data). The notation
is a strict subset of Perl expression syntax, but is intended to have language-
independent use. It is similar in spirit to JSON, which is based on
JavaScript, but Pond represents fewer data types directly.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3930989

*rt-0.10_02
Comment 1 Petr Šabata 2012-03-30 10:04:18 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/806646/Data-Pond-0.004.tar.gz :
  MD5SUM this package     : c295e60d95e1cd1d72e617541e9c326f
  MD5SUM upstream package : c295e60d95e1cd1d72e617541e9c326f
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
TODO: Don't require Exporter and Carp.  Exporter is picked up automatically and Carp isn't actually used anywhere (just required by in Build.PL).

Anyway, approving.
I think I'll use this package in my own projects :)

Generated by fedora-review 0.2.0git
External plugins:
Comment 2 Iain Arnell 2012-03-30 11:14:50 EDT
New Package SCM Request
=======================
Package Name: perl-Data-Pond
Short Description: Perl-based open notation for data
Owners: iarnell
Branches: f15 f16 f17
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-03-30 11:21:09 EDT
Git done (by process-git-requests).
Comment 4 Iain Arnell 2012-03-30 11:44:20 EDT
(In reply to comment #1)
> 
> Issues:
> TODO: Don't require Exporter and Carp.  Exporter is picked up automatically and
> Carp isn't actually used anywhere (just required by in Build.PL).

Ah, the Carp requirement seems to be left over from a previous version - it's only croaking from XS now. I've left Exporter as it's not picked up automatically outside rawhide.
Comment 5 Fedora Update System 2012-03-30 12:29:49 EDT
perl-Data-Pond-0.004-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Data-Pond-0.004-2.fc16
Comment 6 Fedora Update System 2012-03-30 12:30:21 EDT
perl-Data-Pond-0.004-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Data-Pond-0.004-2.fc17
Comment 7 Fedora Update System 2012-03-30 12:30:35 EDT
perl-Data-Pond-0.004-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Data-Pond-0.004-2.fc15
Comment 8 Fedora Update System 2012-03-30 14:00:51 EDT
perl-Data-Pond-0.004-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Petr Šabata 2012-04-02 04:41:09 EDT
I've just noticed the explicit perl dependency on line 9.  You might want to ditch in the next update.
Comment 10 Iain Arnell 2012-04-02 07:03:38 EDT
Good catch - removed and updated in git repo.
Comment 11 Fedora Update System 2012-04-10 23:52:54 EDT
perl-Data-Pond-0.004-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2012-04-11 12:49:45 EDT
perl-Data-Pond-0.004-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-04-11 13:06:14 EDT
perl-Data-Pond-0.004-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 14 Fedora Update System 2012-04-11 21:59:47 EDT
perl-Data-Pond-0.004-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.